import json
import numpy as np

def load_json(path):
    with open(path, "r") as json_file:
        data = json.load(json_file)

    for key, value in data.items():
        if isinstance(value, list):
            if isinstance(value[0], float):
                data[key] = np.array(value, dtype=np.float64)
            else:
                data[key] = np.array(value)
    return data
